> ## Documentation Index
> Fetch the complete documentation index at: https://atibu.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Checkout

> Update Checkout



## OpenAPI

````yaml https://api.rokcel.com/v1/platform/openapi patch /v1/bucket/b5f7de1d-2bf2-41d6-89e9-3315d48fa4c1/checkout/852b9b07-431c-4643-87bb-7dfcdfe2a3d8
openapi: 3.0.3
info:
  title: Rokcel API
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.rokcel.com
security: []
tags:
  - name: Platform
  - name: Peer 2 Peer
  - name: Bucket
  - name: Withdraw
  - name: E-Wallet Mobile Money
  - name: Deposit
  - name: Transaction
  - name: Archive
  - name: Core
  - name: Setting
  - name: State
  - name: CheckOut
  - name: Webhook
paths:
  /v1/bucket/b5f7de1d-2bf2-41d6-89e9-3315d48fa4c1/checkout/852b9b07-431c-4643-87bb-7dfcdfe2a3d8:
    patch:
      tags:
        - Bucket
        - CheckOut
      summary: Update Checkout
      description: Update Checkout
      operationId: updateCheckout
      parameters:
        - name: cache-control
          in: header
          schema:
            type: string
            example: no-cache
        - name: postman-token
          in: header
          schema:
            type: string
            example: <calculated when request is sent>
        - name: content-length
          in: header
          schema:
            type: string
            example: '0'
        - name: host
          in: header
          schema:
            type: string
            example: <calculated when request is sent>
        - name: user-agent
          in: header
          schema:
            type: string
            example: PostmanRuntime/7.39.1
        - name: accept-encoding
          in: header
          schema:
            type: string
            example: gzip, deflate, br
        - name: connection
          in: header
          schema:
            type: string
            example: keep-alive
        - name: x-auth-token
          in: header
          schema:
            type: string
            example: '{{APP_TOKEN}}'
      requestBody:
        content:
          application/json:
            examples:
              Update Checkout:
                value: "{\r\n    \"external_id\": \"79a1656a-d506-41cf-860e-13dfe913484d\"\r\n    // \"name\": \"harum consequatur eligendi\",\r\n    // \"description\": \"Esse culpa aut autem debitis. Et voluptatum ut iusto harum necessitatibus cupiditate dolor.\",\r\n    // \"published\": \"true\",\r\n    // \"published\": true,\r\n    // \"products\": [\r\n    //     {\r\n    //         \"name\": \"Tasty Frozen Sausages\",\r\n    //         \"quantity\": 2,\r\n    //         \"price\": \"889.98\",\r\n    //         \"image\": \"http://placeimg.com/640/480\"\r\n    //     }\r\n    // ]\r\n}"
      responses:
        '200':
          description: ''

````